# Menu pane

This is the main component that switches between the mobile menu and the desktop menu.

Everything dropped into its default slot gets moved into the mobile menu overlay, and in mobile, only shows when the
menu is open.

On desktop, this component flattens its wrappers to allow blocks within the various regions to be placed using grid.

## Usage

This component needs to get included in the page.html.twig as follows:

```
 {% embed 'megamenu_sdc:menu_pane' with { menu_id: 'main', height_selector: 'ul.main_height' } %}
      {% block default %}
        {{ page.primary_menu }}
        {{ page.secondary_menu }}
      {% endblock %}
    {% endembed %}
```

The "height_selector" is used to hook up menu responsiveness -- when the child links of the item specified exceed the
height of the selected item, it indicates a link is wrapping and to switch to mobile (collapse the links and show
the hamburger icon).

This sets a ".menu_pane_mobile" or ".menu_pane_desktop" class on the body.

The "menu_id" is a name to sync to the hamburger component, and is used to track whether the mobile menu is open or
closed.

## Additional information

Some extra info about the component.
