<?php

declare(strict_types=1);

namespace Drupal\megamenu_sdc\Plugin\UiPatterns\Source;

use Drupal\ui_patterns\Plugin\UiPatterns\Source\MenuSource;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\ui_patterns\Attribute\Source;

/**
 * Plugin implementation of the source.
 */
#[Source(
  id: 'menu_content',
  label: new TranslatableMarkup('MegaMenu Content'),
  description: new TranslatableMarkup('Menu source that includes item content from the top level menu items'),
  prop_types: ['slot']
)]
class MenuContentSource extends MenuSource {

  /**
   * {@inheritdoc}
   */
  public function getPropValue(): mixed {
    $renderable = [];
    $menu_id = $this->getSetting('menu');
    if (!$menu_id) {
      return [];
    }
    $this->menuId = $menu_id;
    $items = parent::getPropValue();
    foreach ($items as $item) {
      $renderable[] = $item["content"] ?? [];
    }
    return $renderable;
  }

}

